#ifndef EXECUTIVE_H
#define EXECUTIVE_H

/***********************************************************
    Module Name: Executive.h
    Module Date: 04/12/2004
    Module Auth: John Orlando 
    Copyright (c) 2004 John Orlando  All Rights Reserved 

    Description: This file provides the external interface
    to the Executive module.
    *******************************************************/
#include "Events.h"

/*  Definitions  */

#define PUBLISH_EVENT(event) Exec_writeEventFifo(event)
#define PUBLISH_FAST_EVENT(event) fastEventBitmask |= event

/* Extern Functions */
extern void Exec_run(void);
extern void Exec_writeEventFifo(unsigned char event);

/* Extern Data */
extern unsigned char fastEventBitmask;
extern unsigned char Exec_eventFifo[];
extern unsigned char Exec_eventFifoHead;
extern unsigned char Exec_eventFifoTail;

#endif





