#ifndef FRAMEMGR_H
#define FRAMEMGR_H

/***********************************************************
    Module Name: FrameMgr.h
    Module Date: 04/10/2004
    Module Auth: John Orlando 
    Copyright (c) 2004 John Orlando  All Rights Reserved 

    Description: This module provides the external interface
    to the FrameMgr module.
    ***********************************************************/

/* Extern Variables */
extern unsigned char testLineCount;


/* External Function Declarations */
extern void FrameMgr_init(void);
extern void FrameMgr_processLine(void);
extern void FrameMgr_processFrame(void);
extern void FrameMgr_acquireLine(void);
extern void FrameMgr_acquireFrame(void);
extern void FrameMgr_dispatchEvent(unsigned char event);


#endif

